# Function applyBattleStatMultiplierAbAttrs

- applyBattleStatMultiplierAbAttrs(attrType, pokemon, battleStat, statValue, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => BattleStatMultiplierAbAttr )
    - - new (...args): BattleStatMultiplierAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns BattleStatMultiplierAbAttr

  - pokemon: default
  - battleStat: BattleStat
  - statValue: NumberHolder
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3567